Subject: bug#50813: closed (Re: bug#50813: [PATCH] gnu: python-pandas: Update to 1.3.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Oct 2021 14:53:03 +0000

Your bug report

#50813: [PATCH] gnu: python-pandas: Update to 1.3.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50813: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50813
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50813: [PATCH] gnu: python-pandas: Update to 1.3.3.
From: Ludovic Courtès <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Oct 2021 16:52:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Gruber <[email-masked]> skribis:

> On 10/7/21 11:07 AM, Ludovic Courtès wrote:
>> 
>> Felix Gruber <[email-masked]> skribis:
>> 
>>> * gnu/packages/python-science.scm (python-pandas): Update to 1.3.3.
>> 
>> The upgrade appears to cause build failures for python-dask and
>> pigx-rnaseq (via snakemake) among other things.
>> 
>> Could you take a look?
>
> I could not reproduce the build failure in pigx-rnaseq. For python-dask
> the build failure could be fixed by upgrading it to 2021.9.1, whose
> changelog mentioned that they've deactivated a failing test when
> building against Pandas >= 1.3.3. After updating dask, its dependent
> packages python-distributed and python-eliot failed to build.  I've
> fixed both by updating them to their latest releases and disabling
> failing tests.
> I've also took the oppurtunity to update the synapse package which was
> the only package depending on python-eliot.

Neat.

>> For the record, I tried to build everything reported by ‘guix refresh -l
>> python-pandas’ though some of them (ocaml4.07-re, etc.) would already
>> fail to build before the upgrade.
>
> Of the remaining packages reported by `guix refresh -l python-pandas`,
> I've identified the following packages with build failures:
>
> * [email-masked]
>   sometimes fails due to nondeterministic test
>   `test_get_FDR_cutoff_mean`.  The docstring of this test already says
>   "Difficult to test because of random sampling" followed by a TODO.
>   I've thus deactivated this test, to make it build deterministically.
> * [email-masked]
>   already failed on master due to unbuildable [email-masked].
> * [email-masked]
>   Already failed on master in test `skrebate`:
>   ModuleNotFoundError: No module named 'sklearn.externals.joblib'
>   (A guix refresh -u python-scikit-rebate would update it to 0.62 which
>    was buildable, but this version seemed to come without any tests, so
>    I'm not sure if this is the right solution.)
> * [email-masked]
>   Already failed to build on mater, because its dependency
>   python-orange-canvas-core.
>   I've looked into updating both to their latest version, but that
>   would require updating python-pygments to >= 2.8.0 which would entail
>   rebuilding 561 dependent packages.
> * [email-masked]
>   I was running out of memory while building imp, which in the end
>   killed the build process. It seems that my 8GB of RAM are not
>   sufficient to build imp, so I cannot tell if the update of
>   python-pandas might break imp.
> * [email-masked]
>   depends on imp, so I couldn't build it either.
>
> I've prepared patches for those packages that I was able to fix.

Awesome.

>   gnu: python-pandas: Update to 1.3.3.
>   gnu: python-dask: Update to 2021.9.1.
>   gnu: python-distributed: Update to 2021.09.1.
>   gnu: python-eliot: Update to 1.13.0.
>   gnu: synapse: Update to 1.44.0.
>   gnu: clipper: Disable non-deterministic test.

python-dask and pigx-rnaseq build fine for me with this patch series,
along with everything in between.

Applied, thank you!

Ludo’.

Subject: [PATCH] gnu: python-pandas: Update to 1.3.3.
From: Felix Gruber <[email-masked]>
To: [email-masked]
Cc: Felix Gruber <[email-masked]>
Date: Sun, 26 Sep 2021 09:47:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/python-science.scm (python-pandas): Update to 1.3.3.
---
 gnu/packages/python-science.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index 738b504e3b..676ad00f5e 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -14,6 +14,7 @@
 ;;; Copyright © 2021 Roel Janssen <[email-masked]>
 ;;; Copyright © 2021 Paul Garlick <[email-masked]>
 ;;; Copyright © 2021 Arun Isaac <[email-masked]>
+;;; Copyright © 2021 Felix Gruber <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -329,13 +330,13 @@ of the SGP4 satellite tracking algorithm.")
 (define-public python-pandas
   (package
     (name "python-pandas")
-    (version "1.3.0")
+    (version "1.3.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "pandas" version))
        (sha256
-        (base32 "1qi2cv450m05dwccx3p1s373k5b4ncvwi74plnms2pidrz4ycm65"))))
+        (base32 "1pq1nwj2kysy2g3p18wjb1xn8vk1jhcyisxilsnkwyd99aqqqb17"))))
     (build-system python-build-system)
     (arguments
      `(#:modules ((guix build utils)
-- 
2.30.2